'Mod FCGID' was changed to '1' by 'Fastcgi'

garingas

Member
Jan 12, 2004
19
0
151
I am upgrading an Apache 1.3 to 2.2 using the new Easy Apache for the first time. My reading on the cpanel support docs page makes me think that I would prefer not to use fcgid and fastcgi and just use suPHP instead.

Docs page:
http://www.cpanel.net/support/docs/ea/ea3/ea3php_advanced.html

Whenever I save my config, I get the message 'Mod FCGID' was changed to '1' by 'Fastcgi' even though Fastcgi for php is not checked.

Even if Fastcgi was checked, it could be used by ruby without requiring php integration so I don't get it.

Am I just not understanding how this works or is the value of Fastcgi always on even if the checkbox is unchecked.
(Release - WHM 11.11.0 cPanel 11.15.0-R17853)

I've attached my saved build.
 

Attachments

garingas

Member
Jan 12, 2004
19
0
151
Hmmm, How is everyone setting up Apache/PHP

If no one else is useing suPHP without Fastcgi, what is the best configuration setup choice?
(The docs made it a appear to be a good idea.)

I'm only interested in PHP5 on this server, I would like to make it easier for me to be able to catch any script spammers, but I want all the standard scripts to run.

How have you setup your system?

Thanks!
Garingas
 

garingas

Member
Jan 12, 2004
19
0
151
Excellent!
So if I am patient and wait for the next build, then I can build what I like.

I appreciate the historical info.

Thanks,
Garingas
 

cPDan

cPanel Staff
Staff member
Mar 9, 2004
721
13
243
Whenever I save my config, I get the message 'Mod FCGID' was changed to '1' by 'Fastcgi' even though Fastcgi for php is not checked.
Thank you, that action was due to a logic error that I've fixed and will commit and publish as soon as repository access is restored.
 

cPDan

cPanel Staff
Staff member
Mar 9, 2004
721
13
243
Thank you, that action was due to a logic error that I've fixed and will commit and publish as soon as repository access is restored.
This was publishes last night in rev 3112, thanks!